package com.muyu.enums;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author WangXin
 * @Data 2024/8/28
 * @Description 数据类型枚举
 * @Version 1.0.0
 */
public enum DataType {

    STRING(
            new String[]{"char", "varchar", "text", "mediumtext", "longtext", "longblob"},
            String.class
    ),
    INTEGER(
            new String[]{"int", "tinyint"},
            Integer.class
    ),
    DATE(
            new String[]{"date", "datetime","timestamp"},
            Date.class
    ),
    BIG_DECIMAL(
            new String[]{"decimal", "double", "float"},
            BigDecimal.class
    ),
    LONG(
            new String[]{"bigint"},
            Long.class
    );

    private String[] sourceType;

    private Class<?> targetType;

    DataType(String[] sourceType, Class<?> targetType) {
        this.sourceType = sourceType;
        this.targetType = targetType;
    }

    public String[] getSourceType() {
        return sourceType;
    }

    public void setSourceType(String[] sourceType) {
        this.sourceType = sourceType;
    }

    public Class<?> getTargetType() {
        return targetType;
    }

    public void setTargetType(Class<?> targetType) {
        this.targetType = targetType;
    }
}
